### Constructor

# Gio ZlibCompressor new

since: 2.24

#### Declaration

    GZlibCompressor*
    g_zlib_compressor_new (
      GZlibCompressorFormat format,
      int level
    )

#### Description

Creates a new `GZlibCompressor`.

Available since: 2.24

#### Parameters

`format`

  Type: `GZlibCompressorFormat`

  The format to use for the compressed data.

`level`

  Type: `int`

  Compression level (0-9), -1 for default.

#### Return value

Type: `GZlibCompressor`

A new `GZlibCompressor`.

The caller of the function takes ownership of the data, and is responsible for freeing it.